<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup Label="Globals">
    <SccProjectName>SAK</SccProjectName>
    <SccProvider>SAK</SccProvider>
    <SccAuxPath>SAK</SccAuxPath>
    <SccLocalPath>SAK</SccLocalPath>
  </PropertyGroup>

  <PropertyGroup>
      <TargetFrameworks>netstandard2.0;net48</TargetFrameworks>
      <AssemblyVersion>1.0.16</AssemblyVersion>
      <FileVersion>1.0.16</FileVersion>
	  <OutputType>Library</OutputType>
	  <RootNamespace>tsPDFUtilsCore</RootNamespace>
	  <PackageId>tsPDFUtilsCore</PackageId>
	  <PackageTags>netstandard2.0, libreria</PackageTags>
	  <Version>1.0.16</Version>
	  <Authors>Manuel, Perea</Authors>
	  <Company>Tecnosis S.A</Company>
	  <Description>Utilidades de tratamiento de pdf, de firmas digitales e imagenes.</Description>
	  <PackageReleaseNotes>
		  - 1.0.16 2026-05-20  Correcciones dependencias Microsoft.Extensions.Logging
		  - 1.0.12 2025-10-23  se posiciona en 0 la posicion del stream original
		  - 1.0.10 2025-10-23  Se relanzan exepciones en caso de error
		  - 1.0.9 2025-10-23  Se añade parámetro para en caso de pdf/a3b poder decidir si es obligatorio o no
		  - 1.0.8 2025-10-06  Se añade parámetro para crear el standard pdf/a3b
		  - 1.0.7 2025-10-06  Se deja solo net standard
		  - 1.0.6 2025-10-06  Actualización de dependencias microsoft.extensions.options
		  - 1.0.5 Actualización de dependencias microsoft.extensions.options
		  - 1.0.4 Corrección en TSpdf.io
		  - Primera versión estable.
		  - Probando Nuget
	  </PackageReleaseNotes>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.Options" Version="9.0.9" />
    <PackageReference Include="System.Drawing.Common" Version="6.0.0" />
    <PackageReference Include="TSpdf.kernel" Version="3.0.0" />
    <PackageReference Include="TSpdf.layout" Version="3.0.0" />
    <PackageReference Include="TSpdf.pdfa" Version="3.0.0" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Properties\Resources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>
